--[[
Copyright 2009 João Cardoso
Blitz Icons is distributed under the terms of the GNU General Public License (or the Lesser GPL).
This file is part of Blitz Icons.

Blitz Icons is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Blitz Icons is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Blitz Icons. If not, see <http://www.gnu.org/licenses/>.
--]]


local function HookGossipIcons(...)
	local start = GossipFrame.buttonIndex - select('#', ...) / 3 - 1
	
	for i = start, GossipFrame.buttonIndex - 2 do
		local name = select((i - start) * 3 + 1, ...)
		
		if Blitz_DailyQuests[name] or Blitz_RepeatableQuests[name] then
			local button = _G['GossipTitleButton'..i]
			local icon = _G['GossipTitleButton' .. i .. 'GossipIcon']
			
			if button.type == 'Available' then
				icon:SetTexture('Interface\\Addons\\Blitz_Icons\\Textures\\Available Daily')
			else
				icon:SetTexture('Interface\\Addons\\Blitz_Icons\\Textures\\Active Daily')
			end
			
			icon:SetVertexColor(1,1,1)
		end
	end
end

hooksecurefunc('GossipFrameAvailableQuestsUpdate', HookGossipIcons)
hooksecurefunc('GossipFrameActiveQuestsUpdate', HookGossipIcons)